title 'Sphere'

coordinates
    cartesian3

variables
    u

definitions
    sphBottom = table('01-sphBottom.tbl')
    sphTop = table('01-sphTop.tbl')

    elpsBottom = table('02-elpsBottom.tbl')
    elpsTop = table('02-elpsTop.tbl')

    sphX = array(#include "01-sphX.tbl")
    sphY= array(#include "01-sphY.tbl")

    elpsX = array(#include "02-elpsX.tbl")
    elpsY= array(#include "02-elpsY.tbl")

    k = 0.1
    heat = 4

equations
    div(k * grad(u)) + heat   = 0

extrusion
    surface "01" z = elpsBottom
        layer "elpsBottom"
    surface "02" z = sphBottom
        layer "sph"
    surface "03" z = sphTop
        layer "elpsTop"
    surface "04" z = elpsTop


boundaries
    region 1
        layer "elpsBottom" k = 1
        layer "elpsTop" k = 2

        surface "01" value(u) = 10
        surface "04" value(u) = 5

        start(elpsX[1],  elpsY[1])
            line to (elpsX[2],  elpsY[2])
            to (elpsX[3],  elpsY[3])
            to (elpsX[4],  elpsY[4])
            to (elpsX[5],  elpsY[5])
            to (elpsX[6],  elpsY[6])
            to (elpsX[7],  elpsY[7])
            to (elpsX[8],  elpsY[8])
            to (elpsX[9],  elpsY[9])
            to (elpsX[10],  elpsY[10])
            to finish

    limited region 2
        layer "sph" k = 3

        surface "02" value(u) = 10
        surface "03" value(u) = 10

        start(sphX[1],  sphY[1])
            line to (sphX[2],  sphY[2])
            to (sphX[3],  sphY[3])
            to (sphX[4],  sphY[4])
            to (sphX[5],  sphY[5])
            to (sphX[6],  sphY[6])
            to (sphX[7],  sphY[7])
            to (sphX[8],  sphY[8])
            to (sphX[9],  sphY[9])
            to (sphX[10],  sphY[10])
            to finish
plots
    grid (x, y, z)
    grid (y, z) on x = 0

    contour(u) on surface "02" export
    contour(u) on surface "03"
end



